Collections
Get Collection
Get collection details by ID.
Only superadmins (users in the system account) can view collections.
GET
/
api
/
v1
/
collections
/
{collection_id}
Get Collection
curl --request GET \
--url https://api.example.com/api/v1/collections/{collection_id}import requests
url = "https://api.example.com/api/v1/collections/{collection_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/collections/{collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"table_name": "<string>",
"schema": [
{
"name": "<string>",
"type": "<string>",
"required": false,
"default": "<unknown>",
"unique": false,
"options": {},
"collection": "<string>",
"on_delete": "<string>",
"pii": false,
"mask_type": "<string>",
"expression": "<string>",
"return_type": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Response
Successful Response
Response for a created collection.
Collection ID (UUID)
Collection name
Physical table name in database
Collection schema
Show child attributes
Show child attributes
When the collection was created
When the collection was last updated
⌘I
Get Collection
